/* Calcul et affichage des coordonnées           */
/* de 10 points régulièrement placés             */
/* sur un cercle 2D de rayon 5.0                 */
/* centré sur l'origine                          */
/* Localisation dans le for                      */
/* des variables de calcul                       */
/* Déclaration de variables différentes          */
/* mais portant les mêmes noms que des variables */
/* déclarées dans le for                         */

public class ExempleLocalisationVariables {
  
  /* Programme principal                         */

  public static void main(String [] args) {
    int i;
    Ecran.afficherln("n°    rad      deg        x         y");
    for ( i = 0 ; i < 10 ; i++ ) {
      Ecran.formater("%2d",i);
      double angle = i*2.0*Math.PI/10;
      Ecran.formater("%7.4f",angle);
      double a = i*36.0;
      Ecran.formater("%9.4f",a);
      double x = 5.0*Math.cos(angle);
      double y = 5.0*Math.sin(angle);
      Ecran.formater("%9.5f %9.5f\n",x,y); }
    double x = 0.0;
    double y = 0.0;
    Ecran.afficherln(x," ",y);
  }
}